LibreOffice: ExtensionManager Singleton Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
List of all members
ExtensionManager Singleton Reference

the ExtensionManager service. More...

Inheritance diagram for ExtensionManager:

## Additional Inherited Members
Exported Interfaces inherited from XExtensionManager
interface | com::sun::star::lang::XComponent
| interface to notify disposing
interface | com::sun::star::util::XModifyBroadcaster
| interface to notify changes of the set of deployed packages of this manager
Public Member Functions inherited from XExtensionManager
sequence< XPackageTypeInfo > | getSupportedPackageTypes ()
| gets the supported XPackageTypeInfos.
com::sun::star::task::XAbortChannel | createAbortChannel ()
| creates a command channel to be used to asynchronously abort a command.
XPackage | addExtension ([in] string url, [in] sequence< com::sun::star::beans::NamedValue > properties, [in] string repository, [in] com::sun::star::task::XAbortChannel xAbortChannel, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::ucb::CommandAbortedException, com::sun::star::lang::IllegalArgumentException)
| adds an extension.
void | removeExtension ([in] string identifier, [in] string fileName, [in] string repository, [in] com::sun::star::task::XAbortChannel xAbortChannel, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::ucb::CommandAbortedException, com::sun::star::lang::IllegalArgumentException)
| removes an extension.
void | enableExtension ([in] XPackage extension, [in] com::sun::star::task::XAbortChannel xAbortChannel, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::ucb::CommandAbortedException, com::sun::star::lang::IllegalArgumentException)
| enable an extension.
void | disableExtension ([in] XPackage extension, [in] com::sun::star::task::XAbortChannel xAbortChannel, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::ucb::CommandAbortedException, com::sun::star::lang::IllegalArgumentException)
| disable an extension.
sequence< XPackage > | getDeployedExtensions ([in] string repository, [in] com::sun::star::task::XAbortChannel xAbortChannel, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::ucb::CommandAbortedException, com::sun::star::lang::IllegalArgumentException)
| gets all currently installed extensions, including disabled user extensions.
XPackage | getDeployedExtension ([in] string repository, [in] string identifier, [in] string fileName, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::lang::IllegalArgumentException)
| gets an installed extensions.
sequence< XPackage > | getExtensionsWithSameIdentifier ([in] string identifier, [in] string fileName, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::lang::IllegalArgumentException)
| gets all extensions with the same identifier from all repositories.
sequence< sequence< XPackage > > | getAllExtensions ([in] com::sun::star::task::XAbortChannel xAbortChannel, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::ucb::CommandAbortedException, com::sun::star::lang::IllegalArgumentException)
| returns a sequence containing all installed extensions.
void | reinstallDeployedExtensions ([in] boolean force, [in] string repository, [in] com::sun::star::task::XAbortChannel xAbortChannel, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::ucb::CommandAbortedException, com::sun::star::lang::IllegalArgumentException)
| Expert feature: erases the underlying registry cache and reinstalls all previously added extensions.
boolean | synchronize ([in] com::sun::star::task::XAbortChannel xAbortChannel, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::ucb::CommandAbortedException, com::sun::star::lang::IllegalArgumentException)
| synchronizes the extension database with the contents of the extensions folder of shared and bundled extensions.
sequence< XPackage > | getExtensionsWithUnacceptedLicenses ([in] string repository, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::lang::IllegalArgumentException)
| returns all extensions which are currently not in use because the user did not accept the license.
long | checkPrerequisitesAndEnable ([in] XPackage extension, [in] com::sun::star::task::XAbortChannel xAbortChannel, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, com::sun::star::ucb::CommandFailedException, com::sun::star::ucb::CommandAbortedException, com::sun::star::lang::IllegalArgumentException)
| check if all prerequisites for the extension are fulfilled and activates it, if possible.
boolean | isReadOnlyRepository ([in] string repository)
| determines if the current user has write access to the extensions folder of the repository.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.

## Detailed Description

the ExtensionManager service.

The component context entry is `/singletons/com.sun.star.deployment.ExtensionManager` .

Since
  OOo 3.3

The documentation for this singleton was generated from the following file:

- com/sun/star/deployment/ExtensionManager.idl